import request from '@/utils/request'

// 会签配置管理列表接口
export function getConfigListApi(query) {
    return request({
        url: '/material/sysWorkflowType/list',
        method: 'get',
        params: query
    })
}
// 会签配置管理--新增
export function addConfigApi(data) {
    return request({
        url: '/material/sysWorkflowType/add',
        method: 'post',
        data: data
    })
}
// 会签配置管理--修改
export function editConfigApi(data) {
    return request({
        url: '/material/sysWorkflowType/update',
        method: 'post',
        data: data
    })
}
// 会签配置管理--删除
export function deleteConfigApi(data) {
    return request({
        url: '/material/sysWorkflowType/delete',
        method: 'post',
        data: data
    })
}

// 会签配置流程列表
export function getConfigNodeListApi(query) {
    return request({
        url: '/material/sysWorkflowNode/list',
        method: 'get',
        params: query
    })
}

// 会签配置流程--新增
export function addConfigNodeApi(data) {
    return request({
        url: '/material/sysWorkflowNode/add',
        method: 'post',
        data: data
    })
}
// 会签配置流程--修改
export function editConfigNodeApi(data) {
    return request({
        url: '/material/sysWorkflowNode/update',
        method: 'post',
        data: data
    })
}
// 会签配置流程--删除
export function deleteConfigNodeApi(data) {
    return request({
        url: '/material/sysWorkflowNode/delete',
        method: 'post',
        data: data
    })
}

/**
 *
 *****************************************************************************************************************************************************
 *
 */

//会签配置管理列表信息
export function getConfigList(query) {
    return request({
        url: '/material/sign_config/list',
        method: 'get',
        params: query
    })
}
// 会签配置管理--新增
export function addConfig(data) {
    return request({
        url: '/material/sign_config/addConfig',
        method: 'post',
        data: data
    })
}

//会签配置管理--详细信息
export function getConfigDetail(id) {
    return request({
        url: '/material/sign_config/' + id,
        method: 'get'
    })
}

// 会签配置管理--修改
export function editConfig(data) {
    return request({
        url: '/material/sign_config/editConfig',
        method: 'post',
        data: data
    })
}

// 会签配置管理--删除
export function delConfig(id) {
    return request({
        url: '/material/sign_config/delConfig/' + id,
        method: 'post'
    })
}

/**
 *
 *****************************************************************************************************************************************************
 *
 */

// 结算人员配置列表接口
export function getCostConfigListApi(query) {
    return request({
        url: '/material/sysWorkflowType/costConfigList',
        method: 'get',
        params: query
    })
}

// 人员信息列表接口
export function getCostConfigUserListApi(query) {
    return request({
        url: '/material/sysWorkflowType/costConfigUserList',
        method: 'get',
        params: query
    })
}

// 结算人员配置--修改
export function editCostConfigApi(data) {
    return request({
        url: '/material/sysWorkflowType/updateCostConfig',
        method: 'post',
        data: data
    })
}

// 结算人员配置--删除
export function deleteCostConfigApi(data) {
    return request({
        url: '/material/sysWorkflowType/deleteCostConfig',
        method: 'post',
        data: data
    })
}